
VERSION=$1

if [ -z "$VERSION" ]; then
    echo "this script uploads apk and symbols to get.delta.chat"
    echo "the script does not upload things to gplay or other stores."
    echo ""
    echo "usage: ./scripts/upload-release.sh <VERSION>"
    exit
fi
if [[ ${VERSION:0:1} == "v" ]]; then
    echo "VERSION must not begin with 'v' here."
    exit
fi

cd gplay/release
APK="deltachat-gplay-release-$VERSION.apk"
ls -l $APK
read -p "upload this apk and belonging symbols to get.delta.chat? ENTER to continue, CTRL-C to abort."

# you need the private SSH key of the jekyll user; you can find it in this file:
# https://github.com/hpk42/otf-deltachat/blob/master/secrets/delta.chat
# It is protected with [git-crypt](https://www.agwa.name/projects/git-crypt/) -
# after installing it, you can decrypt it with `git crypt unlock`.
# If your key isn't added to the secrets, and you know some of the team in person,
# you can ask on irc #deltachat for access.
# Add the key to your `~/.ssh/config` for the host, or to your ssh-agent, so rsync is able to use it)
rsync --progress $APK jekyll@download.delta.chat:/var/www/html/download/android/

cd ../..
SYMBOLS_ZIP="$APK-symbols.zip"
rm $SYMBOLS_ZIP
zip -r $SYMBOLS_ZIP obj
ls -l $SYMBOLS_ZIP
rsync --progress $SYMBOLS_ZIP jekyll@download.delta.chat:/var/www/html/download/android/symbols/
